Create Preview
curl --request POST \
--url https://api.brightdata.com/datasets/deep_lookup/v1/preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"query": "<string>"
}
]
'import requests
url = "https://api.brightdata.com/datasets/deep_lookup/v1/preview"
payload = [{ "query": "<string>" }]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{query: '<string>'}])
};
fetch('https://api.brightdata.com/datasets/deep_lookup/v1/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"preview_id": "<string>",
"columns": [
{}
]
}Deep Lookup API (Beta)
Create preview
Use the Bright Data Deep Lookup API to create Preview. POST /preview returns enriched records as JSON with 200 OK on success.
POST
/
preview
Create Preview
Preview data is not immediately available.Use the Get Preview Data endpoint to retrieve results.
Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Body
application/json
Example:
"Find all AI startups founded after 2020 with more than 50 employees"
Was this page helpful?
⌘I